Package org.apache.maven.scm.provider.clearcase.command.checkout

## Class ClearCaseCheckOutCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkout.AbstractCheckOutCommand
    - - org.apache.maven.scm.provider.clearcase.command.checkout.ClearCaseCheckOutCommand

All Implemented Interfaces:
  `Command`, `ClearCaseCommand`

    public class ClearCaseCheckOutCommand
    extends AbstractCheckOutCommand
    implements ClearCaseCommand

Author:
  Wim Deblauwe, Frederic Mura

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`ClearCaseCheckOutCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `createConfigSpec​(java.lang.String loadDirectory, java.lang.String elementName, ScmVersion version)`
`protected java.lang.String` `createConfigSpec​(java.lang.String loadDirectory, ScmVersion version)` Creates a config spec that loads the given loadDirectory and uses the given version tag
`protected org.codehaus.plexus.util.cli.Commandline` `createCreateViewCommandLine​(java.io.File workingDirectory, java.lang.String viewName, java.lang.String streamIdentifier)`
`protected org.codehaus.plexus.util.cli.Commandline` `createUpdateConfigSpecCommandLine​(java.io.File workingDirectory, java.io.File configSpecLocation, java.lang.String viewName)`
`protected CheckOutScmResult` `executeCheckOutCommand​(ScmProviderRepository repository, ScmFileSet fileSet, ScmVersion version, boolean recursive, boolean shallow)` Execute Check out command line.
`protected java.lang.String` `getStreamIdentifier​(java.lang.String streamName, java.lang.String vobName)` Format the stream identifier for ClearCaseUCM
`protected java.lang.String` `getViewStore()`
`protected boolean` `isClearCaseLT()`
`protected boolean` `isClearCaseUCM()`
`void` `setSettings​(Settings settings)`
`protected boolean` `useVWS()`
`protected java.io.File` `writeTemporaryConfigSpecFile​(java.lang.String configSpecContents, java.lang.String viewName)` Creates a temporary config spec file with the given contents that will be deleted on VM exit.

### Methods inherited from class org.apache.maven.scm.command.checkout.AbstractCheckOutCommand

`executeCheckOutCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseCheckOutCommand

    public ClearCaseCheckOutCommand()

### Method Detail

#### executeCheckOutCommand

    protected CheckOutScmResult executeCheckOutCommand​(ScmProviderRepository repository,
                                                       ScmFileSet fileSet,
                                                       ScmVersion version,
                                                       boolean recursive,
                                                       boolean shallow)
                                                throws ScmException

Execute Check out command line.

Specified by:
  `executeCheckOutCommand` in class `AbstractCheckOutCommand`
Parameters:
  `repository` - not null
  `fileSet` - not null
  `version` - not null
  `recursive` - `true` if recursive check out is wanted, `false` otherwise.
  `shallow` - `true` if shallow check out is wanted, `false` otherwise.
Returns:
  the checkout result
Throws:
  `ScmException` - if any

#### writeTemporaryConfigSpecFile

    protected java.io.File writeTemporaryConfigSpecFile​(java.lang.String configSpecContents,
                                                        java.lang.String viewName)
                                                 throws java.io.IOException

Creates a temporary config spec file with the given contents that will be deleted on VM exit.

Parameters:
  `configSpecContents` - The contents for the file
  `viewName` - The name of the view; used to determine an appropriate file name
Throws:
  `java.io.IOException`

#### createConfigSpec

    protected java.lang.String createConfigSpec​(java.lang.String loadDirectory,
                                                ScmVersion version)

Creates a config spec that loads the given loadDirectory and uses the given version tag

Parameters:
  `loadDirectory` - the VOB directory to be loaded
  `version` - ClearCase label type; notice that branch types are not supported
Returns:
  Config Spec as String

#### createConfigSpec

    protected java.lang.String createConfigSpec​(java.lang.String loadDirectory,
                                                java.lang.String elementName,
                                                ScmVersion version)

#### createCreateViewCommandLine

    protected org.codehaus.plexus.util.cli.Commandline createCreateViewCommandLine​(java.io.File workingDirectory,
                                                                                   java.lang.String viewName,
                                                                                   java.lang.String streamIdentifier)
                                                                            throws java.io.IOException

Throws:
  `java.io.IOException`

#### getStreamIdentifier

    protected java.lang.String getStreamIdentifier​(java.lang.String streamName,
                                                   java.lang.String vobName)

Format the stream identifier for ClearCaseUCM

Parameters:
  `streamName` -
  `vobName` -
Returns:
  the formatted stream identifier if the two parameter are not null

#### createUpdateConfigSpecCommandLine

    protected org.codehaus.plexus.util.cli.Commandline createUpdateConfigSpecCommandLine​(java.io.File workingDirectory,
                                                                                         java.io.File configSpecLocation,
                                                                                         java.lang.String viewName)

#### getViewStore

    protected java.lang.String getViewStore()

#### isClearCaseLT

    protected boolean isClearCaseLT()

#### isClearCaseUCM

    protected boolean isClearCaseUCM()

#### useVWS

    protected boolean useVWS()

Returns:
  the value of the setting property 'useVWS'

#### setSettings

    public void setSettings​(Settings settings)